import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/style.dart';

class MenuSidebar extends StatelessWidget {
  const MenuSidebar({super.key});

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Container(
        decoration: const BoxDecoration(
          shape: BoxShape.rectangle,
          boxShadow: [
            BoxShadow(
              color: Colors.black26,
              offset: Offset(4, 0),
              blurRadius: 10,
            )
          ],
          color: ColorsManager.whiteColors,
        ),
        width: 200,
        child:  Padding(
          padding: const EdgeInsets.all(15.0),
          child: Column(
            children: [
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  const Text('Community',style: TextStyle(fontSize: 20),),
                  CircleAvatar(
                    backgroundColor: Colors.grey.shade200,
                    child: IconButton(
                    color: ColorsManager.onSecondaryColor,
                    onPressed: () {},
                   icon: const Icon(Icons.add)
                  ),
                 )
                ],
              ),
              const SizedBox(height: 20,),
              TextFormField(
                controller: TextEditingController(),
                decoration:textBoxDecoration(suffixIcon: true)
              ),
              Container(height: 100,)
            ],
          ),
        ),
      ),
    );
  }
}
