import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class WebAppBar extends StatelessWidget {
 final String? title;
 final List<Widget>? body;
  const WebAppBar({super.key,this.title,this.body});

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 120,
      decoration:   const BoxDecoration(color:ColorsManager.secondaryColor ),
      padding: const EdgeInsets.all(10),
      child: Expanded(
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
             Expanded(
                child: Text(
                  title!,style: const TextStyle(
                    fontSize: 30,
                    color: Colors.white),)
             ),
            if (body != null)
              Expanded(
                flex: 2,
                child: Wrap(
                  spacing: 15, // Adjust the spacing as needed
                  children: body!,
                ),
              ),
            Row(
              children: [
                IconButton(onPressed: () {},
                icon: const Icon(Icons.apps_sharp,color: Colors.white,)),
                const SizedBox(width: 10,),
                const SizedBox.square(
                  dimension: 40,
                  child: CircleAvatar(
                    backgroundColor: Colors.white,
                    child: SizedBox.square(
                      dimension: 35,
                      child: CircleAvatar(
                        backgroundColor: Colors.grey,
                        child: FlutterLogo(),
                      ),
                    ),
                  ),
                ),
                const SizedBox(width: 10,),
                const Text('mohamamd alnemer ',style: TextStyle(fontSize: 16,color: Colors.white),),
              ],
            )
          ],
        ),
      ) ,
    );
  }
}