import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:syncrow_web/utils/constants/assets.dart';
import 'package:syncrow_web/web_layout/web_app_bar.dart';
import 'menu_sidebar.dart';

class WebScaffold extends StatelessWidget {
  final bool enableMenuSideba;
  final String? appBarTitle;
  final List<Widget>? appBarBody;
  final Widget? scaffoldBody;
  const WebScaffold({super.key,this.appBarTitle,this.appBarBody,this.scaffoldBody,this.enableMenuSideba=true});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: Stack(
          children: [
            SizedBox(
              width: MediaQuery.sizeOf(context).width,
              height: MediaQuery.sizeOf(context).height,
              child: SvgPicture.asset(
                  Assets.webBackground,
                fit: BoxFit.cover,
              ),
            ),
            Column(
              crossAxisAlignment: CrossAxisAlignment.stretch,
              children: [
                 Opacity(
                    opacity: 0.6,
                    child: WebAppBar(
                      title: appBarTitle,
                      body: appBarBody,
                    )
                 ),
                Expanded(
                  child: Row(
                    children: [
                    if(enableMenuSideba)
                    const MenuSidebar(),
                    Expanded(
                      flex: 5,
                       child: scaffoldBody!
                     )
                    ],
                  ),
                )
              ],
            ),
          ],
      ));
  }
}
